Bug 437511 - system-config-printer-applet hangs session startup
Summary: system-config-printer-applet hangs session startup
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-14 17:04 UTC by Pierre Ossman
Modified: 2009-07-14 16:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:16:32 UTC


Attachments (Terms of Use)

Description Pierre Ossman 2008-03-14 17:04:52 UTC
The system-config-printer-applet is doing something gnome-session doesn't like,
as the session startup splash screen stops at that stage. It might need things
to fork, and s-c-p-a doesn't do that.

Comment 1 Tim Waugh 2008-03-14 17:57:06 UTC
Really?  I don't see that here.

Is that with a fresh install?

Comment 2 Pierre Ossman 2008-03-14 18:56:26 UTC
Machine was installed about a month ago. The problem wasn't present then.

Comment 3 Tim Waugh 2008-03-15 12:01:44 UTC
What does 'rpm -q gnome-session system-config-printer' say?

Comment 4 Pierre Ossman 2008-03-15 13:57:33 UTC
system-config-printer-0.7.82.1-2.fc9.i386

Comment 5 Pierre Ossman 2008-03-15 13:58:02 UTC
sorry, missed one:

gnome-session-2.22.0-1.fc9.i386

Comment 6 Tim Waugh 2008-03-15 17:11:49 UTC
I have the same packages here and don't see the problem.

Reassigning to gnome-session for further analysis.

Comment 7 Bug Zapper 2008-05-14 06:03:31 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2009-06-09 23:46:03 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2009-07-14 16:16:32 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.